Show / Hide Table of Contents

# Struct AddonAOZNotebook.SpellbookBlock

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SpellbookBlock

### Fields

| Improve this Doc View Source

#### ActionID

##### Declaration

    public uint ActionID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### AtkCollisionNode

##### Declaration

    public AtkCollisionNode*AtkCollisionNode

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### AtkComponentBase

##### Declaration

    public AtkComponentBase*AtkComponentBase

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### AtkComponentCheckBox

##### Declaration

    public AtkComponentCheckBox*AtkComponentCheckBox

##### Field Value

Type | Description
--- | ---
AtkComponentCheckBox* |

| Improve this Doc View Source

#### AtkComponentIcon

##### Declaration

    public AtkComponentIcon*AtkComponentIcon

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkResNode1

##### Declaration

    public AtkResNode*AtkResNode1

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkResNode2

##### Declaration

    public AtkResNode*AtkResNode2

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### AtkTextNode

##### Declaration

    public AtkTextNode*AtkTextNode

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Name

##### Declaration

    public char *Name

##### Field Value

Type | Description
--- | ---
System.Char* |